<?php

declare(strict_types=1);

use App\Controller\ClientController;
use Hyperf\HttpServer\Router\Router;
use App\Middleware\Auth\WebMiddleware;

Router::addGroup(
    '/client',
    function () {
        Router::post('/test', [ClientController::class, 'test']);
        Router::post('/indexData', [ClientController::class, 'indexData']);
        //搭建增删改查
        Router::post('/addWeb', [ClientController::class, 'addWeb']);
        Router::post('/deleteWeb', [ClientController::class, 'deleteWeb']);
        Router::post('/updateWeb', [ClientController::class, 'updateWeb']);
        Router::post('/getWebList', [ClientController::class, 'getWebList']);
        Router::post('/getWebInfo', [ClientController::class, 'getWebInfo']);
        //改配置
        Router::post('/updateWebConfig', [ClientController::class, 'updateWebConfig']);
        //输出目录
        Router::post('/updateWebOutput', [ClientController::class, 'updateWebOutput']);
        //移动目录
        Router::post('/updateWebMove', [ClientController::class, 'updateWebMove']);
        //运行
        Router::post('/runWeb', [ClientController::class, 'runWeb']);
        //停止
        Router::post('/stopWeb', [ClientController::class, 'stopWeb']);




        Router::post('/getPageList', [ClientController::class, 'getPageList']);
        Router::post('/getUserInfo', [ClientController::class, 'getUserInfo']);
        Router::post('/channelData', [ClientController::class, 'channelData']);
        Router::post('/getData', [ClientController::class, 'getData']);
    },
);
